Bug 109599 - RFE --verbose should have meaningful output in all modes
RFE --verbose should have meaningful output in all modes
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-11-09 18:59 EST by Nicholas Miell
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-28 19:02:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nicholas Miell 2003-11-09 18:59:31 EST
Right now, -v doesn't do anything in several major modes, requiring
the user to either wonder what's going on or read the debug output
with -vv.

So, -v should work with --erase, --verify, and --rebuilddb.

Bonus points of --hash works with them as well.
Comment 1 Jeff Johnson 2004-01-26 05:32:01 EST
Inventing --verbose output to fill a void doesn't make
much sense. More specific suggestions (or patches) for
output will be considered, NEEDINFO so I don't have to stare at the bug.
Comment 2 Nicholas Miell 2004-01-26 20:30:19 EST
Basically, I'd like to be able to do rpm -evh, rpm -Vavh, or rpm
--rebuilddb -vh and get a nice progress bar.
Comment 3 Paul Nasrat 2005-11-28 19:02:06 EST
-v and -vv are usable in most modes, -h would require callbacks everywhere and
is not currently planned.

Note You need to log in before you can comment on or make changes to this bug.